![QuackPack](Banner/QuackPack.png)
# QuackPack
QuackPack is intended to fill out an often neglected portion of the Kerbolar system: the deep inner system, far below the orbit of Moho.  Oftentimes, when a player has conquered the stock system, it may feel like the only way to access more challenging destinations is to install full system replacers, or interstellar mods.

System expansions such as Outer Planets Mod are a very popular first step, bridging the challenge gap between the stock system and full blown interstellar packs. QuackPack is designed to add an additional level of challenge to a stock + OPM install.  Instead of looking outwards towards other stars, it is time to look inwards towards our own.

These planets are not for the faint of heart.  Transfer requirements are extreme, and their gravity wells are deep.  Gravity assists are a near requirement. Failure lurks around every corner, as the unique thermal environments can cause unexpected problems, or outright destroy craft.  Aerodynamics will work in unusual ways, as the superheated atmospheres are very different from anything else in the Kerbolar system.  However, with smart design, clever planning, and skill, these bodies can be conquered, even fully reusable, or, theoretically, with single stage craft.

## Bodies
* Blas, a metal poor, scorching hot desert Superkerbin with a large ring system and one small moonlet.
* Geet, the lone moon of Blas, and a shepherd to the ring system.
* Jot, an inflated hot Jool with an extremely large atmosphere.
* Subon, a captured metallic asteroid in a close retrograde orbit of Jot.
* Cind, a Kerbin sized tidally locked hellworld, with an atmosphere made of sulfur and boiling metal.

## Features
* 5 challenging new bodies to explore.
* Science and career mode ready, with full biome and experiment definitions.
* Full scatterer integration.
* Full EVE integration, with clouds, sandstorms, lightning, and aurorae.
* Planetshine and Distant Object Enhancement integration.

## Notes
* This is my first planet mod, pls be gentle.

## Installation
* Remove any preexisting QuackPack installations (QuackPack folder within GameData folder in KSP directory)
* Install ALL listed dependencies, following the links below
* Download and extract the QuackPack zip file
* Place the GameData folder into your KSP directory
* Highly recommended to download and install Scatterer, EVE REDUX, and BetterKerbol as they provide massive visual improvement, and QuackPack is intended to be played with all three installed.

## Requirements
* [ModuleManager](https://forum.kerbalspaceprogram.com/index.php?/topic/50533-18x-112x-module-manager-422-june-18th-2022-the-heatwave-edition/)
* [Kopernicus](https://forum.kerbalspaceprogram.com/index.php?/topic/200143-180-1123-kopernicus-stable-branch-last-updated-august-12th-2022/)
* [Community Terrain Texture Pack](https://forum.kerbalspaceprogram.com/index.php?/topic/165873-ksp-15x-community-terrain-textures-pack-104-25-oct-2018/)

## Bundled Dependencies
* [Niako's Kopernicus Utilities](https://forum.kerbalspaceprogram.com/index.php?/topic/207768-112-niakos-kopernicus-utilities-smoother-heightmaps/)
* [Sigma Heat Shifter](https://github.com/Sigma88/Sigma-HeatShifter)
* [VertexHeightOblateAdvanced](https://forum.kerbalspaceprogram.com/topic/222923-1125-kopernicus-vertexheightoblateadvanced-112-easy-oblate-bodies/)
* [VertexColorMapEmissive](https://forum.kerbalspaceprogram.com/topic/225111-1125-kopernicus-vertexcolormapemissive-100-easy-emissives/)

## Provided Compatibility
* [Scatterer](https://forum.kerbalspaceprogram.com/index.php?/topic/103963-wip19x-112x-scatterer-atmospheric-scattering-00838-14082022-scattering-improvements-in-game-atmo-generation-and-multi-sun-support/)
* [EVE Redux](https://forum.kerbalspaceprogram.com/index.php?/topic/196411-19-112x-eve-redux-performance-enhanced-eve-maintenance-v11171-09092022/)
* [Distant Object Enancement](https://forum.kerbalspaceprogram.com/index.php?/topic/205063-ksp-131-distant-object-enhancement-doe-l-under-new-management-2119-2022-0727/)
* [Planetshine](https://forum.kerbalspaceprogram.com/index.php?/topic/173138-112x-planetshine-0266-feb-22-2022/)

## Recommended Mods
* [BetterKerbol](https://forum.kerbalspaceprogram.com/index.php?/topic/207389-112x-kopernicus-betterkerbol-v101-a-kerbol-graphics-enhancement/)
* [Outer Planets Mod](https://forum.kerbalspaceprogram.com/index.php?/topic/184789-131-112x-outer-planets-mod-v2210-3rd-jan-2022/)

## FAQ
* Q. Does QuackPack support Parallax 2?
* A. QuackPack does not currently provide configs for Parallax 2, but it will run alongside Parallax 2 enabled planets from the stock system or other planet mods
* Q. Will QuackPack ever support Parallax 2?
* A. QuackPack is intended to support Parallax 2 at some point, when I have the time to sit down and learn it.
* Q. Does QuackPack support EVE True Volumetrics?
* A. EVE True Volumetrics support will come in a future update.
* Q. Does QuackPack support rescaling either natively or via Sigma Dimensions?
* A. QuackPack does not have native rescale support, but will function with rescales done via Sigma Dimensions. This means you can install QuackPack alongside other 1x scale mods, then rescale the whole thing with Sigma Dimensions, but QuackPack will not function correctly with mods like JNSQ, which have a native scale difference.

## Licensing
* QuackPack is licensed by Attribution-NonCommercial-NoDerivs 3.0 Unported (CC BY-NC-ND 3.0)
